Subject: Re: bug#68145: [PATCH] * doc/misc/eglot.texi: Fix broken function calls

From: Stefan Monnier <[email-masked]>
Date: Mon, 01 Jan 2024 13:17:35 -0500

>> Strange indeed.  No idea what happened, but the 1.16 tarball is also
>> available:

I think the previous run of "update packages" was killed (timeout? OOM?)
and left the Git tree in an incorrect state (more specifically in
a detached state pointing at some old commit where Eglot happened to
still be at 1.15).
I've seen such problem sin the past and have tried to make the scripts
more robust in the face of such weird states, but it's hard to know
how/where to handle it.  I fixed it by hand this time, and added
yet-another sanity check elsewhere to help me catch or fix it, so
hopefully in won't re-occur.

        Stefan